package cn.com.qmth.examcloud.tool.service.batch_create_user.vo;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;

import java.util.ArrayList;
import java.util.List;

public class UserInfoListener extends AnalysisEventListener<UserInfo> {

    private List<UserInfo> list = new ArrayList<>();

    @Override
    public void invoke(UserInfo data, AnalysisContext analysisContext) {
        list.add(data);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        // ignore
    }

    public List<UserInfo> getList() {
        return list;
    }

}
